aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorStuart Haslam <stuart.haslam@linaro.org>2015-03-17 10:31:55 +0000
committerMaxim Uvarov <maxim.uvarov@linaro.org>2015-03-20 12:25:11 +0300
commitbb96116e7f780517f687cf7e61eac1bdfa72d93b (patch)
treed7c0faea6d214d91c6c929e987c5c7714477539b /test
parent681336670799981137bc52813a9ee98ee4271c6b (diff)
performance: scheduling: catch exit codes
odp_scheduling_run always exits with code 0 so "make check" will never report failures. Signed-off-by: Stuart Haslam <stuart.haslam@linaro.org> Tested-by: Mike Holmes <mike.holmes@linaro.org> Signed-off-by: Maxim Uvarov <maxim.uvarov@linaro.org>
Diffstat (limited to 'test')
-rwxr-xr-xtest/performance/odp_scheduling_run6
1 files changed, 5 insertions, 1 deletions
diff --git a/test/performance/odp_scheduling_run b/test/performance/odp_scheduling_run
index 28b0ce58e..a96a3d297 100755
--- a/test/performance/odp_scheduling_run
+++ b/test/performance/odp_scheduling_run
@@ -3,13 +3,17 @@
# Script that passes command line arguments to odp_scheduling test when
# launched by 'make check'
+ret=0
+
run()
{
echo odp_scheduling_run starts with $1 worker threads
echo ===============================================
- ./odp_scheduling -c $1
+ ./odp_scheduling -c $1 || ret=1
}
run 1
run 8
+
+exit $ret